gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-wallet-core] branch master updated: contrib: helper script


From: gnunet
Subject: [taler-wallet-core] branch master updated: contrib: helper script
Date: Thu, 13 Oct 2022 14:11:10 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository wallet-core.

The following commit(s) were added to refs/heads/master by this push:
     new 3a91f3ff8 contrib: helper script
3a91f3ff8 is described below

commit 3a91f3ff88db8f00255caa39746c70f1e47e0a86
Author: Florian Dold <florian@dold.me>
AuthorDate: Thu Oct 13 14:11:05 2022 +0200

    contrib: helper script
---
 contrib/publish-prebuilt.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/contrib/publish-prebuilt.sh b/contrib/publish-prebuilt.sh
new file mode 100755
index 000000000..94bd274ff
--- /dev/null
+++ b/contrib/publish-prebuilt.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+# Helper script to publish a prebuilt wallet-core.
+# Assumes that the prebuilt branch is checked out
+# at ./prebuilt as a git worktree.
+
+set -eu
+
+TAG=$1
+
+pnpm run compile
+mkdir prebuilt/$TAG
+cp packages/taler-wallet-embedded/dist/taler-wallet-embedded.js 
prebuilt/$TAG/taler-wallet-embedded.js
+git -C prebuilt add .
+git -C prebuilt commit -a -m "prebuilt $TAG"
+git -C prebuilt push
+sha256sum prebuilt/$TAG/taler-wallet-android.js

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]